package pr2.vererbung.racewars.model;

/**
 * Interface für die verschiedenen Factories, welche neue Wesen erzeugen.
 */
public interface Factory {

    /**
     * Erzeugt ein neues Wesen der Rasse.
     * @return das Wesen.
     */
    Wesen createWesen();

    /**
     * Liefert den Anführer der Rasse.
     * @return Anführer.
     */
    Wesen getHero();
}
